<?php
/*
*

 ______   _______  __   __  _______  _______  ___   _______ 
|      | |       ||  |_|  ||       ||       ||   | |       |
|  _    ||    ___||       ||   _   ||_     _||   | |       |
| | |   ||   |___ |       ||  | |  |  |   |  |   | |       |
| |_|   ||    ___||       ||  |_|  |  |   |  |   | |      _|
|       ||   |___ | ||_|| ||       |  |   |  |   | |     |_ 
|______| |_______||_|   |_||_______|  |___|  |___| |_______|
 _______  __   __  _______                                  
|       ||  |_|  ||       |                                 
|       ||       ||  _____|                                 
|       ||       || |_____                                  
|      _||       ||_____  |                                 
|     |_ | ||_|| | _____| |                                 
|_______||_|   |_||_______|                                                   
                                              
                                           
*
*
*/

/**
 * Demotic CMS is a fork of ImpressPages.
 * AUTHOR: Demotic
 * @package Demotic
 */
namespace Demotic\Gebtu\Plugins;


class Service
{
    public static function getActivePluginNames()
    {
        return Model::getActivePluginNames();
    }

    public static function getAllPluginNames()
    {
        return Model::getAllPluginNames();
    }

    public static function getActivePlugins()
    {
        return Model::getActivePlugins();
    }

    public static function parsePluginConfigFile($pluginDir)
    {
        return Model::parseConfigFile($pluginDir);
    }

    public static function getPluginConfig($pluginName)
    {
        return Model::getPluginConfig($pluginName);
    }

    public static function activatePlugin($pluginName)
    {
        return Model::activatePlugin($pluginName);
    }

    public static function deactivatePlugin($pluginName)
    {
        return Model::deactivatePlugin($pluginName);
    }

    public static function removePlugin($pluginName)
    {
        return Model::removePlugin($pluginName);
    }


}
